# subnet pool

A subnet pool contains a collection of prefixes in CIDR notation that are available for IP address allocation.

Network v2

## subnet pool create

Create subnet pool

    openstack subnet pool create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        --pool-prefix <pool-prefix>
        [--default-prefix-length <default-prefix-length>]
        [--min-prefix-length <min-prefix-length>]
        [--max-prefix-length <max-prefix-length>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--address-scope <address-scope>]
        [--default | --no-default]
        [--share
        |
        --no-share
        ]
        [--description <description>]
        [--default-quota <num-ip-addresses>]
        [--tag <tag> | --no-tag]
        <name>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--pool-prefix <pool-prefix>

  Set subnet pool prefixes (in CIDR notation) (repeat option to set multiple prefixes)

--default-prefix-length <default-prefix-length>

  Set subnet pool default prefix length

--min-prefix-length <min-prefix-length>

  Set subnet pool minimum prefix length

--max-prefix-length <max-prefix-length>

  Set subnet pool maximum prefix length

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--address-scope <address-scope>

  Set address scope associated with the subnet pool (name or ID), prefixes must be unique across address scopes

--default

  Set this as a default subnet pool

--no-default

  Set this as a non-default subnet pool

--share

  Set this subnet pool as shared

--no-share

  Set this subnet pool as not shared

--description <description>

  Set subnet pool description

--default-quota <num-ip-addresses>

  Set default per-project quota for this subnet pool as the number of IP addresses that can be allocated from the subnet pool

--tag <tag>

  Tag to be added to the subnet pool (repeat option to set multiple tags)

--no-tag

  No tags associated with the subnet pool

name

  Name of the new subnet pool

## subnet pool delete

Delete subnet pool(s)

    openstack subnet pool delete <subnet-pool> [<subnet-pool> ...]

subnet-pool

  Subnet pool(s) to delete (name or ID)

## subnet pool list

List subnet pools

    openstack subnet pool list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--share | --no-share]
        [--default
        |
        --no-default
        ]
        [--project <project>]
        [--project-domain <project-domain>]
        [--name <name>]
        [--address-scope <address-scope>]
        [--tags <tag>[,<tag>,...]]
        [--any-tags <tag>[,<tag>,...]]
        [--not-tags <tag>[,<tag>,...]]
        [--not-any-tags <tag>[,<tag>,...]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--share

  List only subnet pools shared between projects

--no-share

  List only subnet pools not shared between projects

--default

  List only subnet pools used as the default external subnet pool

--no-default

  List only subnet pools not used as the default external subnet pool

--project <project>

  List only subnet pools with the specified project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--name <name>

  List only subnet pools with the specified name

--address-scope <address-scope>

  List only subnet pools with the specified address scope (name or ID)

--tags <tag>[,<tag>,...]

  List subnet pools which have all given tag(s) (Comma-separated list of tags)

--any-tags <tag>[,<tag>,...]

  List subnet pools which have any given tag(s) (Comma-separated list of tags)

--not-tags <tag>[,<tag>,...]

  Exclude subnet pools which have all given tag(s) (Comma-separated list of tags)

--not-any-tags <tag>[,<tag>,...]

  Exclude subnet pools which have any given tag(s) (Comma-separated list of tags)

## subnet pool set

Set subnet pool properties

    openstack subnet pool set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--name <name>]
        [--pool-prefix <pool-prefix>]
        [--default-prefix-length <default-prefix-length>]
        [--min-prefix-length <min-prefix-length>]
        [--max-prefix-length <max-prefix-length>]
        [--address-scope
        <address-scope>
        |
        --no-address-scope
        ]
        [--default
        |
        --no-default
        ]
        [--description <description>]
        [--default-quota <num-ip-addresses>]
        [--tag <tag>]
        [--no-tag]
        <subnet-pool>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--name <name>

  Set subnet pool name

--pool-prefix <pool-prefix>

  Set subnet pool prefixes (in CIDR notation) (repeat option to set multiple prefixes)

--default-prefix-length <default-prefix-length>

  Set subnet pool default prefix length

--min-prefix-length <min-prefix-length>

  Set subnet pool minimum prefix length

--max-prefix-length <max-prefix-length>

  Set subnet pool maximum prefix length

--address-scope <address-scope>

  Set address scope associated with the subnet pool (name or ID), prefixes must be unique across address scopes

--no-address-scope

  Remove address scope associated with the subnet pool

--default

  Set this as a default subnet pool

--no-default

  Set this as a non-default subnet pool

--description <description>

  Set subnet pool description

--default-quota <num-ip-addresses>

  Set default per-project quota for this subnet pool as the number of IP addresses that can be allocated from the subnet pool

--tag <tag>

  Tag to be added to the subnet pool (repeat option to set multiple tags)

--no-tag

  Clear tags associated with the subnet pool. Specify both –tag and –no-tag to overwrite current tags

subnet-pool

  Subnet pool to modify (name or ID)

## subnet pool show

Display subnet pool details

    openstack subnet pool show <subnet-pool>

subnet-pool

  Subnet pool to display (name or ID)

## subnet pool unset

Unset subnet pool properties

    openstack subnet pool unset [--tag <tag> | --all-tag] <subnet-pool>

--tag <tag>

  Tag to be removed from the subnet pool (repeat option to remove multiple tags)

--all-tag

  Clear all tags associated with the subnet pool

subnet-pool

  Subnet pool to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.